# values.yaml
global:
 storageClass: "managed"

auth:
  clientProtocol: plaintext
  interBrokerProtocol: plaintext
  sasl:
    enabled: false
  tls:
    enabled: false

listeners:
  client:
    protocol: PLAINTEXT
    
kraft:
 enabled: true

controller:
 replicaCount: 1
 heapOpts: "-Xmx1g -Xms1g"
 persistence:
   enabled: true
   size: 10Gi
 resources:
   limits:
     memory: 2Gi
     cpu: 1
   requests:
     memory: 1Gi
     cpu: 1

broker:
 replicaCount: 3
 heapOpts: "-Xmx1g -Xms1g"
 persistence:
   enabled: true
   size: 10Gi
 resources:
   limits:
     memory: 2Gi
     cpu: 1
   requests:
     memory: 1Gi
     cpu: 1

deleteTopicEnable: true
autoCreateTopicsEnable: false

offsets:
 topic:
   replication:
     factor: 3
   segment:
     bytes: 1073741824

image:
  registry: docker.io
  repository: bitnamilegacy/kafka
